OaIdl.VARDESC._VARDESC (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: OaIdl, class: VARDESC, class: _VARDESC

Package com.sun.jna.platform.win32

# Class OaIdl.VARDESC._VARDESC

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.OaIdl.VARDESC._VARDESC

Direct Known Subclasses:
  `OaIdl.VARDESC._VARDESC.ByReference`

Enclosing class:
  OaIdl.VARDESC

public static class OaIdl.VARDESC._VARDESC extends Union

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OaIdl.VARDESC._VARDESC.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Variant.VARIANT.ByReference`
  `lpvarValue`
  [case()]
  C type : VARIANT*
  `NativeLong`
  `oInst`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `_VARDESC()`
  `_VARDESC(NativeLong oInst)`
  `_VARDESC(Variant.VARIANT.ByReference lpvarValue)`
  `_VARDESC(Pointer pointer)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Union

  `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### oInst

    public NativeLong oInst

  - ### lpvarValue

    public Variant.VARIANT.ByReference lpvarValue
    [case()]
    C type : VARIANT*

- ## Constructor Details

  - ### _VARDESC

    public _VARDESC()

  - ### _VARDESC

    public _VARDESC(Pointer pointer)

  - ### _VARDESC

    public _VARDESC(Variant.VARIANT.ByReference lpvarValue)
    Parameters:
      `lpvarValue` - [case()]
      C type : VARIANT*

  - ### _VARDESC

    public _VARDESC(NativeLong oInst)